function SysSol=SysSolDataHairer()
% SysSol : structure de donnees contenant les positions et vitesses
% de planetes (Soleils, Jupiter, Saturne, Uranus, Nepture et Pluton)
% le 5 septembre 1994 a 00h00'00''
% Les champs masse et masseUA sont identiques et ils correspondent
% a la masse en U.A.
% Les champs color et rayon sont utilises pour la representation graphique
% et ne correspondent pas a des parametres physiques.
% Cette structure a ete generee a partir des donnees du livre
% "Geometrical Numerical Integration" de C. Lubich, E. Hairer et G. Warner
% 
SysSol.G = 2.95912208286e-04; % Constante gravitationnelle
SysSol.Date=[1994 9 5 0 0 0];      %'1994-September-5 00:00:00';

planetes.nom='Soleil';
planetes.masse=1.00000597682;
planetes.position=[0;0;0];
planetes.vitesse=[0;0;0];
planetes.color=[1 1 0];
planetes.rayon=0.5;

i=2;
planetes(i).nom='Jupiter';
planetes(i).masse=0.000954786104043;
planetes(i).position=[-3.5023653;-3.8169847;-1.5507963];
planetes(i).vitesse=[0.00565429;-0.00412490;-0.00190589];
planetes(i).color=[1 0 1];
planetes(i).rayon=0.3;

i=3;
planetes(i).nom='Saturne';
planetes(i).masse=0.000285583733151;
planetes(i).position=[9.0755314;-3.0458353;-1.6483708];
planetes(i).vitesse=[0.00168318;0.00483525;0.00192462];
planetes(i).color=[0 1 0];
planetes(i).rayon=0.3;

i=4;
planetes(i).nom='Uranus';
planetes(i).masse=0.0000437273164546;
planetes(i).position=[8.3101420;-16.2901086;-7.2521278];
planetes(i).vitesse=[0.00354178;0.00137102;0.00055029];
planetes(i).color=[1 0 0];
planetes(i).rayon=0.3;

i=5;
planetes(i).nom='Neptune';
planetes(i).masse=0.0000517759138449;
planetes(i).position=[11.4707666;-25.7294829;-10.8169456];
planetes(i).vitesse=[0.00288930;0.00114527;0.00039677];
planetes(i).color=[0 1 1];
planetes(i).rayon=0.3;

i=6;
planetes(i).nom='Pluton';
planetes(i).masse=1/(1.3e+08);
planetes(i).position=[-15.5387357;-25.2225594;-3.1902382];
planetes(i).vitesse=[0.00276725;-0.00170702;-0.00136504];
planetes(i).color=[0.5 0 0.2];
planetes(i).rayon=0.3;

N=length(planetes);
for i=1:N
   planetes(i).masseUA=planetes(i).masse;
end

SysSol.planetes=planetes;